Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 09-10-2018 09:58:08

ayaf
Membre
Lieu : Torcy / Seine et Marne
Distrib. : Debian Jessie 8.1
Noyau : Linux 3.16.0-4-amd64
(G)UI : xfce
Inscription : 25-10-2017

RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Bonjour à toutes et à tous,

Hé oui, tout allait bien jusqu'à ce que...

Voilà ce qui se passe :
J'étais sous "Jessie 8.1" et j'ai voulu passer sous "Stretch".
L'opération se déroulait normalement jusqu'à ce que ce message "sibyllin" s'affiche et que je ne puisse aller plus avant.

Stopped glibc upgrade.
Please retry the upgrade after you have checked or stopped services by hand.
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libc6_2.24-11+deb9u3_i386.deb (--unpack) :
le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1
Préparation du dépaquetage de .../libc-bin_2.24-11+deb9u3_amd64.deb ...
Dépaquetage de libc-bin (2.24-11+deb9u3) sur (2.19-18+deb8u10) ...
Traitement des actions différées (« triggers ») pour systemd (215-17+deb8u7) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.0.2-5) ...
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/libc6_2.24-11+deb9u3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



Cela me laisse perplexe car je ne sais pas quels sont les services à "vérifier" ou "arrêter" pour parfaire l'installation.
Bien que persuadé de son inefficacité dans ce contexte, j'ai relancé la commande :

# apt-get dist-upgrade


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 libc6 : Casse: libc6:i386 (!= 2.24-11+deb9u3) mais 2.19-18+deb8u10 est installé
 libc6:i386 : Casse: libc6 (!= 2.19-18+deb8u10) mais 2.24-11+deb9u3 est installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.
 



et là, je suis carrément dans le potage...

Si vous pouvez m'aider à comprendre ce qui se passe ?

Merci d'avance.

Debianement vôtre ! debian.png

Dernière modification par ayaf (18-10-2018 13:44:52)


<•>  LES CAHIERS DU DÉBUTANT   <•>    ^!^  Intel core2 Quad8200 2.33GHz/Ram4Go/GeforceGT120/Linux3.16.0-4-amd64/xfce
"Prends le temps de savourer l'instant présent !..."  -- ( Carpe Diem ) --
"Oublie ton passé, qu'il soit simple ou composé, participe à ton présent pour que ton futur soit plus que parfait"  -- (Yves Duteil)

Hors ligne

#2 09-10-2018 10:09:01

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Buster/Sid/Rc-Buggy
Noyau : Linux (≥ 4.12)
(G)UI : i3-wm (≥ 4.13)
Inscription : 07-07-2008
Site Web

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Salut, as-tu essayé apt-get -f install comme suggéré ?

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#3 09-10-2018 10:14:04

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Bonjour
le contenu de ton sources.list


cat /etc/apt/sources.list
 



et si tu a des fichiers dans /etc/apt/sources.list.d/

remarques:
du i386 ?
ps: certainement pour le multiarch

dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libc6_2.24-11+deb9u3_i386.deb (--unpack) :

/var/cache/apt/archives/libc6_2.24-11+deb9u3_i386.deb



tu utilise des dépôts externes a debian ?

tu a fais un "apt update"  ou "apt-get update"
normalement la migration est en deux temps


apt-get update
 


et


apt-get upgrade
 



quand il a finit "l'upgrade" tu peu lancer le "dist-upgrade"


apt-get dist-upgrade
 

Dernière modification par robert2a (09-10-2018 10:27:56)

Hors ligne

#4 09-10-2018 10:26:54

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Si tu veux retourner en arrière, en théorie

apt-get install -f

devrait le faire.

Si tu veux continuer la màj, mhm. N'ayant pas le problème sous la main...
Libc est un truc assez central, et je me souviens qu'il y a longtemps, ça m'avait complètement bloqué moi aussi lors d'un passage à niveau. C'est peut-être le genre de truc qui se met beaucoup plus facilement à jour en démarrant sur un live et faire la mise à jour via un chroot. Moi je tenterai ça.


Agenda du libre : venez aider et vous faire aider !
Arzano Informatique : mon entreprise gagne-pain.
Ma contribution au datalove

Hors ligne

#5 09-10-2018 10:30:53

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

le faire en console pure (session fermé et serveur X a l'arret )
utiliser aptitude pour voir les propositions

Hors ligne

#6 09-10-2018 10:44:59

empanada
Membre
Distrib. : Debian 9 (Stretch)
Noyau : 4.9.0-7-amd64
(G)UI : LXDE
Inscription : 19-09-2018

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Est-ce qu'il reste de la place sur / ?

"blues are the roots and the other musics are the fruits" . Willie Dixon

Hors ligne

#7 09-10-2018 11:22:38

ayaf
Membre
Lieu : Torcy / Seine et Marne
Distrib. : Debian Jessie 8.1
Noyau : Linux 3.16.0-4-amd64
(G)UI : xfce
Inscription : 25-10-2017

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Merci à tous de la promptitude de vos réponse !

@cptnfab, voilà la commande et son retour :

#

apt-get -f intall


E: L'option « f » de la ligne de commande [d'origine -f] est inconnue.



@robert2a,

#

cat /etc/apt/sources.list


# deb cdrom:[Debian GNU/Linux 8.1.0 _Jessie_ - Official amd64 DVD Binary-1 20150606-14:19]/ stretch contrib main

# deb cdrom:[Debian GNU/Linux 8.1.0 _Jessie_ - Official amd64 DVD Binary-1 20150606-14:19]/ stretch main contrib  

deb http://ftp.fr.debian.org/debian/ stretch main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ stretch main non-free contrib

deb http://security.debian.org/ stretch/updates main contrib non-free
deb-src http://security.debian.org/ stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
 



J'avais au préalable lancé cette commande afin de changer "jessie" en "stretch"

#

sed -i 's|jessie|stretch|' /etc/apt/sources.list



Ce qui m'avait semblé judicieux...

#

ls  /etc/apt/sources.list.d/


#

google-chrome.list  google-earth-pro.list
 



.../etc/apt/sources.list.d#

cat google-chrome.list


### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
 


.../etc/apt/sources.list.d#

cat google-earth-pro.list


### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
deb http://dl.google.com/linux/earth/deb/ stable main
 



Par ailleurs, j'ai lancé ces commandes dans l'ordre :

apt-get update


#

apt-get upgrade


#

apt-get dist-upgrade



@empanada, je pense qu'il me reste assez de place.

Sys. de fichiers blocs de 1K   Utilisé Disponible Uti% Monté sur                                                              
/dev/sdb1             47930248    13143488   32328956     29% /                                                                      



Si la situation semble correcte, je vais tutoyer la console pure et dure...

Je n'ai pas du tout l'habitude d'aptitude, il y a-t'il quelque chose à consulter avant de se lancer et tenter de comprendre les messages qui sont envoyés ?
Est-ce suffisamment clair ?

Edit à toto : Mis en ordre les commandes et leurs retours.

Dernière modification par ayaf (09-10-2018 11:24:15)


<•>  LES CAHIERS DU DÉBUTANT   <•>    ^!^  Intel core2 Quad8200 2.33GHz/Ram4Go/GeforceGT120/Linux3.16.0-4-amd64/xfce
"Prends le temps de savourer l'instant présent !..."  -- ( Carpe Diem ) --
"Oublie ton passé, qu'il soit simple ou composé, participe à ton présent pour que ton futur soit plus que parfait"  -- (Yves Duteil)

Hors ligne

#8 09-10-2018 11:32:30

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

apt-get -f intall


raté y faut écrire et envoyer :

apt-get -f install


big_smile


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#9 09-10-2018 12:15:35

ayaf
Membre
Lieu : Torcy / Seine et Marne
Distrib. : Debian Jessie 8.1
Noyau : Linux 3.16.0-4-amd64
(G)UI : xfce
Inscription : 25-10-2017

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Aaargh !!!  Le petit détail qui tue...

Merci smolski !

<•>  LES CAHIERS DU DÉBUTANT   <•>    ^!^  Intel core2 Quad8200 2.33GHz/Ram4Go/GeforceGT120/Linux3.16.0-4-amd64/xfce
"Prends le temps de savourer l'instant présent !..."  -- ( Carpe Diem ) --
"Oublie ton passé, qu'il soit simple ou composé, participe à ton présent pour que ton futur soit plus que parfait"  -- (Yves Duteil)

Hors ligne

#10 10-10-2018 13:19:05

ayaf
Membre
Lieu : Torcy / Seine et Marne
Distrib. : Debian Jessie 8.1
Noyau : Linux 3.16.0-4-amd64
(G)UI : xfce
Inscription : 25-10-2017

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Bon, ça se complique !

Comme l'a conseillé robert2a je suis passé en mode console.

apt-get update



Là, tout est OK

apt-get upgrade


Attention:
Les paquets suivants n'ont pas été authentifiés.

fuse  libfuse2  libvlcore8  libwbclient0  openssh-client  ant-optional  ant  libmspack0  liblcms2-2:i386  
liblcms2-2  cups-server-common  cups-common  iceweasel  iceweasel-l10n-fr  libarchive-zip-perl
liblcms2-utils  libsunctex1 linux-libc-dev



Les paquets ont été recopiés à la main, donc source possible de non conformité !!

À la fin de l'upgrade, j'ai eu droit à ce message d'erreur :

des erreurs ont été rencontrées pendant l'execution :

acpid
acpid-support-base
avahi-daemon
lbnss-mdns:amd64


E : Impossiblede récupérer

http://security.debian.org/pool/update/ … _amd64.deb

Erreur temporaire de résolution de  "secutity.debian.org"

E : Sup-process /usr/bin/dpkg  returned an error code (1)



Dois-je faire une intervention avant  le "dist-upgrade" ?
Je pense que oui mais je ne comprends pas ce qui se passe au sujet de "security.debian.org"



#cat /etc/apt/sources.list
 


# deb cdrom:[Debian GNU/Linux 8.1.0 _Jessie_ - Official amd64 DVD Binary-1 20150606-14:19]/ stretch contrib main

# deb cdrom:[Debian GNU/Linux 8.1.0 _Jessie_ - Official amd64 DVD Binary-1 20150606-14:19]/ stretch main contrib  

deb http://ftp.fr.debian.org/debian/ stretch main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ stretch main non-free contrib

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/ stretch/updates main contrib non-free



À noter qu'initialement la ligne :  http://security.debian.org/debian-security

avait cette allure :  http://security.debian.org/

En serait-ce la raison ?

J'attends vos infos avant de m'aventurer davantage...


<•>  LES CAHIERS DU DÉBUTANT   <•>    ^!^  Intel core2 Quad8200 2.33GHz/Ram4Go/GeforceGT120/Linux3.16.0-4-amd64/xfce
"Prends le temps de savourer l'instant présent !..."  -- ( Carpe Diem ) --
"Oublie ton passé, qu'il soit simple ou composé, participe à ton présent pour que ton futur soit plus que parfait"  -- (Yves Duteil)

Hors ligne

#11 10-10-2018 13:28:41

empanada
Membre
Distrib. : Debian 9 (Stretch)
Noyau : 4.9.0-7-amd64
(G)UI : LXDE
Inscription : 19-09-2018

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

ayaf a écrit :

Comme l'a conseillé robert2a je suis passé en mode console.


Oui, c'es beaucoup mieux faire les grands "upgrade" en console.


ayaf a écrit :


#cat /etc/apt/sources.list
 


# deb cdrom:[Debian GNU/Linux 8.1.0 _Jessie_ - Official amd64 DVD Binary-1 20150606-14:19]/ stretch contrib main

# deb cdrom:[Debian GNU/Linux 8.1.0 _Jessie_ - Official amd64 DVD Binary-1 20150606-14:19]/ stretch main contrib  

deb http://ftp.fr.debian.org/debian/ stretch main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ stretch main non-free contrib

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/ stretch/updates main contrib non-free



À noter qu'initialement la ligne :  http://security.debian.org/debian-security

avait cette allure :  http://security.debian.org/

En serait-ce la raison ?


Presque sure oui. Faites à nouveau

apt-get update


et après

apt-get upgrade


"blues are the roots and the other musics are the fruits" . Willie Dixon

Hors ligne

#12 10-10-2018 18:08:40

ayaf
Membre
Lieu : Torcy / Seine et Marne
Distrib. : Debian Jessie 8.1
Noyau : Linux 3.16.0-4-amd64
(G)UI : xfce
Inscription : 25-10-2017

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

C'est la cata !...

Ça va de mal en pis !  kernal_panic.gif

Très mauvaise initiative de ma part que de vouloir changer de distribution... j'aurais du resté à vie avec jessie  roll

Serait-ce le prix de l'infidélité ?

Après un "dist-upgrade", en console, le système n'est pas content du tout, mais pas du tout  et il me balance :

Des erreurs ont été rencontrées pendant l'exécution  :

/var/cache/apt/archives/nvidia-legacy-check_384.130-1_amd64.deb

N : "50unattended-upgrades.ucf-dist"  dans le répertoire "/etc/apt/apt.conf.d/" a été ignoré
car il utilise une extension non valable



Ensuite j'ai droit à un "Kernel panic" :

[ 50842886]--- [end Kernel panic - not syncing : Attempted to kill init !
exit code=0x0007f00



Heureusement que j'ai conservé une précédente installation (jessie 8.1) sur laquelle je peux me rabattre en cas de problème.

En ce moment je suis dans le brouillard total... c'est l'automne !...

Je ne sais pas du tout ce qu'il faut faire...

Des idées ?


<•>  LES CAHIERS DU DÉBUTANT   <•>    ^!^  Intel core2 Quad8200 2.33GHz/Ram4Go/GeforceGT120/Linux3.16.0-4-amd64/xfce
"Prends le temps de savourer l'instant présent !..."  -- ( Carpe Diem ) --
"Oublie ton passé, qu'il soit simple ou composé, participe à ton présent pour que ton futur soit plus que parfait"  -- (Yves Duteil)

Hors ligne

#13 10-10-2018 19:00:52

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

ayaf a écrit :

"50unattended-upgrades.ucf-dist"  dans le répertoire "/etc/apt/apt.conf.d/" a été ignoré


Que donne le contenu de cette commande pour éclairer ce que sont ces sources ignorées :

cat 50unattended-upgrades.ucf-dist



Force et courage


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#14 10-10-2018 20:39:25

empanada
Membre
Distrib. : Debian 9 (Stretch)
Noyau : 4.9.0-7-amd64
(G)UI : LXDE
Inscription : 19-09-2018

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

ayaf a écrit :

C'est la cata !...
Ça va de mal en pis !  https://debian-facile.org/img/smilies/x … _panic.gif
Très mauvaise initiative de ma part que de vouloir changer de distribution... j'aurais du resté à vie avec jessie  roll


Comme smolski a dit: force et courage, pas forcement dans cet ordre lol .

ayaf a écrit :


Après un "dist-upgrade", en console, le système n'est pas content du tout, mais pas du tout  et il me balance :

Des erreurs ont été rencontrées pendant l'exécution  :

/var/cache/apt/archives/nvidia-legacy-check_384.130-1_amd64.deb

N : "50unattended-upgrades.ucf-dist"  dans le répertoire "/etc/apt/apt.conf.d/" a été ignoré
car il utilise une extension non valable



mmmm, semble pas bon, mais ne devrait être critique.

ayaf a écrit :


Ensuite j'ai droit à un "Kernel panic" :

[ 50842886]--- [end Kernel panic - not syncing : Attempted to kill init !
exit code=0x0007f00


Bon, ça c'est pas une blague. Est-ce que tu as plusieurs noyau pour essayer le démarrage avec?
Si le problème c'est le driver nvidia, tu peu essayer démarrer avec le paramètre nvidia.blacklist=1 (à mètre en modifiant la ligne de grub tout a début du démarrage).
Est-ce que t'as une distro live pour essayer la réparation en faisant un chroot (par exemple un cd / usb d'installation debian, knoppix, systemrescuecd, clonezilla...)?

ayaf a écrit :

Heureusement que j'ai conservé une précédente installation (jessie 8.1) sur laquelle je peux me rabattre en cas de problème.


Se rendre? Jamais.

ayaf a écrit :

En ce moment je suis dans le brouillard total... c'est l'automne !...


big_smile Il n'y a pas orage si longue que le soleil ne brille à nouveau

Dernière modification par empanada (10-10-2018 20:51:11)


"blues are the roots and the other musics are the fruits" . Willie Dixon

Hors ligne

#15 10-10-2018 21:28:15

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

empanada a écrit :

tu peu essayer démarrer avec le paramètre nvidia.blacklist=1


Je crois qu'il va falloir plus d'indications sur la méthode pour le niveau apparent d'ayaf. smile


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#16 11-10-2018 12:39:57

ayaf
Membre
Lieu : Torcy / Seine et Marne
Distrib. : Debian Jessie 8.1
Noyau : Linux 3.16.0-4-amd64
(G)UI : xfce
Inscription : 25-10-2017

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Oui, merci smolski, je ne suis pas un "cador" et je comprends vite si on m'explique longtemps ! scratchhead.gif

Dernière modification par ayaf (12-10-2018 10:16:52)


<•>  LES CAHIERS DU DÉBUTANT   <•>    ^!^  Intel core2 Quad8200 2.33GHz/Ram4Go/GeforceGT120/Linux3.16.0-4-amd64/xfce
"Prends le temps de savourer l'instant présent !..."  -- ( Carpe Diem ) --
"Oublie ton passé, qu'il soit simple ou composé, participe à ton présent pour que ton futur soit plus que parfait"  -- (Yves Duteil)

Hors ligne

#17 11-10-2018 13:15:31

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

smolski a écrit :

Je crois qu'il va falloir plus d'indications sur la méthode pour le niveau apparent d'ayaf.


Et les visiteurs intéressés par le post... wink


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#18 11-10-2018 14:38:16

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Bonjour
Et du coup l'upgrade c'était bien déroulé?

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#19 11-10-2018 15:17:36

ayaf
Membre
Lieu : Torcy / Seine et Marne
Distrib. : Debian Jessie 8.1
Noyau : Linux 3.16.0-4-amd64
(G)UI : xfce
Inscription : 25-10-2017

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

À priori, oui, si ce n'est les messages que j'ai cité plus haut.

À vrai dire il y a eu un gros problème puisque le noyau est paniqué mais je n'ai rien vu passé dans le flot de l'affichage.

Tout au moins, il n'y a pas eu de stop particulier.

Merci à tous de vous pencher sur mon cas. Cela va me prendre un peu de temps pour faire certaines "manips" vu que je ne suis pas sur la distrib endommagée. Le temps de bien me repérer pour donner réponse à vos questions.

Dernière modification par ayaf (12-10-2018 18:05:19)


<•>  LES CAHIERS DU DÉBUTANT   <•>    ^!^  Intel core2 Quad8200 2.33GHz/Ram4Go/GeforceGT120/Linux3.16.0-4-amd64/xfce
"Prends le temps de savourer l'instant présent !..."  -- ( Carpe Diem ) --
"Oublie ton passé, qu'il soit simple ou composé, participe à ton présent pour que ton futur soit plus que parfait"  -- (Yves Duteil)

Hors ligne

#20 11-10-2018 18:04:06

empanada
Membre
Distrib. : Debian 9 (Stretch)
Noyau : 4.9.0-7-amd64
(G)UI : LXDE
Inscription : 19-09-2018

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

smolski a écrit :

empanada a écrit :

tu peu essayer démarrer avec le paramètre nvidia.blacklist=1


Je crois qu'il va falloir plus d'indications sur la méthode pour le niveau apparent d'ayaf. smile



T'as raison roll . Je n'ai pas voulu entrer en détails du premier coup , mais poser quelques options et ramasser des informations pour chercher un chemin de résolution , mais sûrement trop maigres les pistes lol .

Alors, on revient au boulot, ayaf:
1) Est-ce que tu as plusieurs noyaux pour essayer le démarrage avec?
C'est la première option à essayer . Si tu ne sais pas ou tu n'est pas sûr, tu peu vérifier sur grub. Connais-tu un peu du fonctionnement du grub (le logiciel que gère le démarrage tout au début) ? Le grub charge juste après le BIOS et normalement a plusieurs options de démarrage en liste. Normalement une compte à rebours de quelques secondes (je crois que 5 secondes par défaut) se déroule automatiquement. Si on ne l'arrête pas, l'option par défaut c'est celle qui démarre.  Pour arrêter la compte à rebours il faut les touches monter/descendre. S'il y a des submenus tu peu naviguer avec la touche "droite" et/ou "enter". Au moins il devrait avoir une option alternative à celle par défaut: "Version_de_noyau (recovery mode)".
Si tu as plusieurs noyaux, ils devraient apparaître aussi dans cette liste. Essaye toutes les possibles options de démarrage offrit par grub, et tu nous racontes.

2) Si le problème c'est le driver nvidia, tu peu essayer démarrer avec le paramètre nvidia.blacklist=1 (à mètre en modifiant la ligne de grub tout a début du démarrage). Je crois que ça ne peut arriver, un kernel panic suite au chargement d'un module. Maintenant on va ce pencher sur le pas 1).

3) Est-ce que t'as une distro live pour essayer la réparation en faisant un chroot (par exemple un cd / usb d'installation debian, knoppix, systemrescuecd, clonezilla...)? Il me semble que ça va être l'unique possibilité à réparer cette installation...mais pas évident. Par l'instant tu peux nous dire si t'as un des ces média de démarrage. Normalement j'utilise clonezilla (je crois que les netinstall debian manque certain logiciel pour faire un chroot, mais je ne me rappelle pas lequel).   

Salut


"blues are the roots and the other musics are the fruits" . Willie Dixon

Hors ligne

#21 11-10-2018 18:37:27

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Pour étudier le GRUB il y a un tuto :
https://debian-facile.org/doc:systeme:grub2

Reste que son maniement demande pas mal de connaissance pour ne pas tout casser en agissant au doigt levé dans le vent de nos espérances !
Perso, je ne me risquerai pas à aider sur le sujet, il me dépase de beaucoup dans mes compétences informatiques légèrement acquises sur le terrain. wink

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#22 12-10-2018 10:42:26

ayaf
Membre
Lieu : Torcy / Seine et Marne
Distrib. : Debian Jessie 8.1
Noyau : Linux 3.16.0-4-amd64
(G)UI : xfce
Inscription : 25-10-2017

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Bon, me revoilà !

Pour répondre à smolski dans un premier temps :

# cat 50unattended-upgrades.ucf-dist



// Unattended-Upgrade::Origins-Pattern controls which packages are
// upgraded.
//
// Lines below have the format format is "keyword=value,...".  A
// package will be upgraded only if the values in its metadata match
// all the supplied keywords in a line.  (In other words, omitted
// keywords are wild cards.) The keywords originate from the Release
// file, but several aliases are accepted.  The accepted keywords are:
//   a,archive,suite (eg, "stable")
//   c,component     (eg, "main", "contrib", "non-free")
//   l,label         (eg, "Debian", "Debian-Security")
//   o,origin        (eg, "Debian", "Unofficial Multimedia Packages")
//   n,codename      (eg, "jessie", "jessie-updates")
//     site          (eg, "http.debian.net")
// The available values on the system are printed by the command
// "apt-cache policy", and can be debugged by running
// "unattended-upgrades -d" and looking at the log file.
//
// Within lines unattended-upgrades allows 2 macros whose values are
// derived from /etc/debian_version:
//   ${distro_id}            Installed origin.
//   ${distro_codename}      Installed codename (eg, "jessie")
Unattended-Upgrade::Origins-Pattern {
        // Codename based matching:
        // This will follow the migration of a release through different
        // archives (e.g. from testing to stable and later oldstable).
//      "o=Debian,n=jessie";
//      "o=Debian,n=jessie-updates";
//      "o=Debian,n=jessie-proposed-updates";
//      "o=Debian,n=jessie,l=Debian-Security";

        // Archive or Suite based matching:
        // Note that this will silently match a different release after
        // migration to the specified archive (e.g. testing becomes the
        // new stable).
//      "o=Debian,a=stable";
//      "o=Debian,a=stable-updates";
//      "o=Debian,a=proposed-updates";
        "origin=Debian,codename=${distro_codename},label=Debian-Security";
};

// List of packages to not update (regexp are supported)
Unattended-Upgrade::Package-Blacklist {
//  "vim";
//  "libc6";
//  "libc6-dev";
//  "libc6-i686";
};

// This option allows you to control if on a unclean dpkg exit
// unattended-upgrades will automatically run
//   dpkg --force-confold --configure -a
// The default is true, to ensure updates keep getting installed
//Unattended-Upgrade::AutoFixInterruptedDpkg "false";

// Split the upgrade into the smallest possible chunks so that
// they can be interrupted with SIGUSR1. This makes the upgrade
// a bit slower but it has the benefit that shutdown while a upgrade
// is running is possible (with a small delay)
//Unattended-Upgrade::MinimalSteps "true";

// Install all unattended-upgrades when the machine is shuting down
// instead of doing it in the background while the machine is running
// This will (obviously) make shutdown slower
//Unattended-Upgrade::InstallOnShutdown "true";

// Send email to this address for problems or packages upgrades
// If empty or unset then no email is sent, make sure that you
// have a working mail setup on your system. A package that provides
// 'mailx' must be installed. E.g. "user@example.com"
//Unattended-Upgrade::Mail "root";

// Set this value to "true" to get emails only on errors. Default
// is to always send a mail if Unattended-Upgrade::Mail is set
//Unattended-Upgrade::MailOnlyOnError "true";

// Do automatic removal of new unused dependencies after the upgrade
// (equivalent to apt-get autoremove)
//Unattended-Upgrade::Remove-Unused-Dependencies "false";

// Automatically reboot *WITHOUT CONFIRMATION* if
//  the file /var/run/reboot-required is found after the upgrade
//Unattended-Upgrade::Automatic-Reboot "false";

// Automatically reboot even if there are users currently logged in.
//Unattended-Upgrade::Automatic-Reboot-WithUsers "true";

// If automatic reboot is enabled and needed, reboot at the specific
// time instead of immediately
//  Default: "now"
//Unattended-Upgrade::Automatic-Reboot-Time "02:00";

// Use apt bandwidth limit feature, this example limits the download
// speed to 70kb/sec
//Acquire::http::Dl-Limit "70";

// Enable logging to syslog. Default is False
// Unattended-Upgrade::SyslogEnable "false";

// Specify syslog facility. Default is daemon
// Unattended-Upgrade::SyslogFacility "daemon";



Un peu long, désolé !...

@empanada, je vais suivre la procédure que tu me proposes pour tenter une réparation...

1 - j'ai effectivement deux noyaux différents... je vais tester l'ancien
2 - je vais,  comme le suggère smolski, étudier la rubrique sur le grub2 du wiki (pour éviter les âneries)
3 - tenter nvidia.blacklist=1 (si nécessaire),  commande à passer dans grub j'imagine
4 - j'ai une distro "knoppix" sur clé USB. Elle m'a déjà servi pour des dépannages.

Je vais mettre en oeuvre les points 1 à 3 et revenir dresser le bilan...

Merci encore une fois de ton investissement, c'est très agréable et rassurant de recevoir une écoute et une aide chaleureuse, la marque de DF quoi !

Je ne pourrais certainement pas répondre très rapidement, mais je ne lâche pas l'affaire ! zen.gif


<•>  LES CAHIERS DU DÉBUTANT   <•>    ^!^  Intel core2 Quad8200 2.33GHz/Ram4Go/GeforceGT120/Linux3.16.0-4-amd64/xfce
"Prends le temps de savourer l'instant présent !..."  -- ( Carpe Diem ) --
"Oublie ton passé, qu'il soit simple ou composé, participe à ton présent pour que ton futur soit plus que parfait"  -- (Yves Duteil)

Hors ligne

#23 12-10-2018 12:44:51

empanada
Membre
Distrib. : Debian 9 (Stretch)
Noyau : 4.9.0-7-amd64
(G)UI : LXDE
Inscription : 19-09-2018

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

ayaf a écrit :

1 - j'ai effectivement deux noyaux différents... je vais tester l'ancien


Le plus facile . Cependant je méfie de que le probléme soit sur un suel noyau.

ayaf a écrit :

2 - je vais,  comme le suggère smolski, étudier la rubrique sur le grub2 du wiki (pour éviter les âneries)

yes.gif

ayaf a écrit :

3 - tenter nvidia.blacklist=1 (si nécessaire),  commande à passer dans grub j'imagine


Pareil que "1 -"

ayaf a écrit :

4 - j'ai une distro "knoppix" sur clé USB. Elle m'a déjà servi pour des dépannages.

yes.gif
Est-elle récente?
On va travailler presque tout sous la ligne de commandes.
La connexion de l'ordinateur au reseau local (au routeur) est ethernet ou wifi. Il y a souvent des problèmes des liveCD's avec le wifi parce qu'ils manquent le firmware et/ou les pilotes non-free. Ça peut arriver aussi avec le cable ethernet...mais c'est moins probable.

ayaf a écrit :

Je vais mettre en oeuvre les points 1 à 3 et revenir dresser le bilan...


yes.gif On attend tes nouvelles.


"blues are the roots and the other musics are the fruits" . Willie Dixon

Hors ligne

#24 12-10-2018 14:01:58

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

Pour démarrer sur des lignes de commande, j'utilise l'iso live de Gparted (sur une clé ou gravé sur un cd) mise en lien dans le tuto éponyme :
https://debian-facile.org/doc:environne … so-gparted

Ainsi, je dispose d'un truc à jour et facile à utiliser.

wink

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#25 12-10-2018 14:33:11

empanada
Membre
Distrib. : Debian 9 (Stretch)
Noyau : 4.9.0-7-amd64
(G)UI : LXDE
Inscription : 19-09-2018

Re : RÉSOLU MàJ jessie -> stretch ; kernel panic ; réparé avec "chroot"

smolski a écrit :

Pour démarrer sur des lignes de commande, j'utilise l'iso live de Gparted (sur une clé ou gravé sur un cd) mise en lien dans le tuto éponyme :
https://debian-facile.org/doc:environne … so-gparted
Ainsi, je dispose d'un truc à jour et facile à utiliser.
wink



J'aime bien gparted live aussi. Elle a un très large parcours (dès 2004) et reste encore développée et actualisée fréquemment: gparted Downloads
Salut


"blues are the roots and the other musics are the fruits" . Willie Dixon

Hors ligne

Pied de page des forums